Bug 601917 - IE7 File Upload hanging
IE7 File Upload hanging
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
1.4
All Windows
urgent Severity medium (vote)
: ---
: ---
Assigned To: Ian Springer
Sunil Kondkar
:
Depends On:
Blocks: jon-sprint11-bugs
  Show dependency treegraph
 
Reported: 2010-06-08 17:04 EDT by Jay Shaughnessy
Modified: 2013-08-05 20:37 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
IE7
Last Closed: 2010-08-12 12:47:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Shaughnessy 2010-06-08 17:04:42 EDT
File Upload in IE (I used IE7) is hanging as described in https://jira.jboss.org/browse/RF-8359.

It is happening for me when trying to perform Create New WAR file for a Tomcat vhost resource.

The above Jira was rejected in favor of a workaround, perhaps we need to apply the workaround.
Comment 1 Ian Springer 2010-06-08 17:15:18 EDT
File upload for Create New Child Resource works on IE8. I tested by creating a new WAR Resource under my JBoss EAP 5.0 Server.
Comment 2 Charles Crouch 2010-06-08 17:30:10 EDT
(4:24:48 PM) ips: ccrouch: i just checked the source. create-new-pkg-based-child uses /rhq/common/fileUpload.xhtml, which does have a form surrounding the rich:fileUpload
(4:25:02 PM) ips: so we are already doing the wrokaround
Comment 3 Jay Shaughnessy 2010-06-09 11:28:16 EDT
I guess this means it is only an issue on IE7.  And the workaround for our user is to use IE8.
Comment 4 Ian Springer 2010-06-09 12:19:07 EDT
After the Beta release, we should see if we get lucky and RF 3.3.3.Final fixes this. If not, we should file a RF JIRA issue, so they can look into a fix to the their file upload component.
Comment 5 Ian Springer 2010-06-28 18:16:59 EDT
I was unable to reproduce this using IE 7.0.5730.13 and the latest JON QA build. I successfully uploaded several WAR files to both a JBoss AS 4.2.x server and a Tomcat 6.0.x server.
Comment 6 Sunil Kondkar 2010-06-30 07:16:42 EDT
Verified on JON 2.4 GA_QA build#44

Successfully uploaded WAR files to JBoss AS servers using IE version 7.0.5370.11.
Comment 7 Corey Welton 2010-08-12 12:47:49 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.